summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog15
-rw-r--r--Makefile.am2
-rw-r--r--NEWS5
-rwxr-xr-xautogen.sh57
-rw-r--r--configure.in2
5 files changed, 31 insertions, 50 deletions
diff --git a/ChangeLog b/ChangeLog
index 5ddffa6..067e5a1 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,18 @@
+2004-07-27 Rodney Dawes <dobey@novell.com>
+
+ * Makefile.am (SUBDIRS): "." is not a subdir
+
+ * NEWS: Update for 0.31.1
+
+ * configure.in: Change version to 0.31.1
+
+2004-07-23 Jordi Mallach <jordi@sindominio.net>
+
+ * autogen.sh: Switch to gnome-common autogen.sh, and use
+ AUTOMAKE_REQUIRED_VERSION=1.6
+
+ Fixes bug 145027.
+
2004-06-25 Kenneth Rohde Christiansen <kenneth@gnu.org>
* configure.in: Change version to 0.31
diff --git a/Makefile.am b/Makefile.am
index c5f53b5..696ff5a 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,6 +1,6 @@
## Process this file with automake to produce Makefile.in
-SUBDIRS = . tests doc doc-i18n-tool
+SUBDIRS = tests doc doc-i18n-tool
NULL =
diff --git a/NEWS b/NEWS
index a1f46be..df10cc0 100644
--- a/NEWS
+++ b/NEWS
@@ -1,3 +1,8 @@
+Version 0.31.1
+
+* Switch to gnome-common for autogen.sh so we can detect automake
+ versions better -- bug #145027 (Jordi Mallach)
+
Version 0.31
* Usage of [no-xml] option in AC_PROG_INTLTOOL to avoid requiring
diff --git a/autogen.sh b/autogen.sh
index ee6e895..cf24931 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -4,57 +4,18 @@
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
-ORIGDIR=`pwd`
-cd $srcdir
+PKG_NAME="intltool"
+REQUIRED_AUTOMAKE_VERSION="1.6"
-PROJECT=intltool
-TEST_TYPE=-f
-FILE=intltoolize.in
-
-DIE=0
-
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have autoconf installed to compile $PROJECT."
- echo "Download the appropriate package for your distribution,"
- echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
- DIE=1
-}
-
-(automake-1.4 --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have automake installed to compile $PROJECT."
- echo "Get ftp://ftp.cygnus.com/pub/home/tromey/automake-1.2d.tar.gz"
- echo "(or a newer version if it is available)"
- DIE=1
+(test -f $srcdir/configure.in) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
}
-if test "$DIE" -eq 1; then
- exit 1
-fi
-
-test $TEST_TYPE $FILE || {
- echo "You must run this script in the top-level $PROJECT directory"
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME CVS"
exit 1
}
-if test -z "$*"; then
- echo "I am going to run ./configure with no arguments - if you wish "
- echo "to pass any to it, please specify them on the $0 command line."
-fi
-
-case $CC in
-*lcc | *lcc\ *) am_opt=--include-deps;;
-esac
-
-aclocal-1.4 $ACLOCAL_FLAGS
-
-automake-1.4 -a $am_opt
-autoconf
-
-cd $ORIGDIR
-
-$srcdir/configure --enable-maintainer-mode "$@"
-
-echo
-echo "Now type 'make' to build $PROJECT."
+USE_GNOME2_MACROS=1 . gnome-autogen.sh
diff --git a/configure.in b/configure.in
index abe4196..18faa48 100644
--- a/configure.in
+++ b/configure.in
@@ -1,6 +1,6 @@
dnl Process this file with autoconf to create configure.
AC_INIT(intltoolize.in)
-INTLTOOL_VERSION=0.31
+INTLTOOL_VERSION=0.31.1
AM_INIT_AUTOMAKE(intltool, $INTLTOOL_VERSION)